#pragma once
#include <stdint.h>
#include <stdio.h>

#include "data_types.h"
//Pure C implementation to read a cluster file

int read_clusters(FILE* fp, int64_t n_clusters, Cluster* buf, int *n_left);

int read_clusters_with_cut(FILE* fp, int64_t n_clusters, Cluster* buf, int *n_left, double *noise_map, int nx, int ny);

int analyze_clusters(int64_t n_clusters, Cluster* cin, ClusterAnalysis *cout);


int analyze_cluster(Cluster cin, int32_t *t2, int32_t *t3, char *quad, double *eta2x, double *eta2y, double *eta3x, double *eta3y, double *eta2Lx, double *eta2Ly, double *eta3Xx, double *eta3Xy);
