
from . import ClusterFileReader

class ClusterFile(ClusterFileReader):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)


    def __iter__(self):
        return self
    
    def __next__(self):
        clusters = self.read()
        if clusters.size == 0:
            raise StopIteration
        else:
            return clusters
        
    def __enter__(self):
        return self
    
    def __exit__(self, exc_type, exc_value, traceback):
        pass